@echo off
set AppHotfixesPath="%XA%\Applications\XA6_2008R2_ML\Hotfixes"
 
for %%i in (%AppHotfixesPath%\*.msp) do start /wait msiexec.exe /update %%i /qn /norestart
 
start /wait msiexec /i "ServerConfigurationInstall.msi" /qn /norestart
start /wait msiexec /i "XenAppGpmx_x64.msi" /qn /norestart
 
echo.
echo Enable and Start Windows Update Service
sc config wuauserv start= auto
net start wuauserv
 
for %%i in (%AppHotfixesPath%\*.msu) do start /wait wusa.exe %%i /quiet /norestart
 
echo Recommended CTX & MS Hotfixes - http://support.citrix.com/article/CTX129229
 
echo XA600W2K8R2X64012 - http://support.citrix.com/article/CTX126679
echo XA600W2K8R2X64017 - http://support.citrix.com/article/CTX126958
echo XA600W2K8R2X64021 - http://support.citrix.com/article/CTX127036
echo XA600W2K8R2X64029 - http://support.citrix.com/article/CTX127405
echo XA600W2K8R2X64046 - http://support.citrix.com/article/CTX128342
echo XA600W2K8R2X64058 - http://support.citrix.com/article/CTX129131
echo XA600W2K8R2X64060 - http://support.citrix.com/article/CTX129224
echo XA600W2K8R2X64062 - http://support.citrix.com/article/CTX129278
echo XA600W2K8R2X64063 - http://support.citrix.com/article/CTX129375
echo XA600W2K8R2X64068 - http://support.citrix.com/article/CTX129741
echo XA600W2K8R2X64077 - http://support.citrix.com/article/CTX130236
echo XA600W2K8R2X64079 - http://support.citrix.com/article/CTX130333
echo XA600W2K8R2X64089 - http://support.citrix.com/article/CTX130828
 
echo XASCTW2K8R2X64003 - http://support.citrix.com/article/CTX130279
echo DSCXAGPMX100WX64001 - http://support.citrix.com/article/CTX126656
 
echo KB979530 - http://support.microsoft.com/kb/979530
echo KB975777 - http://support.microsoft.com/kb/975777
echo KB980663 - http://support.microsoft.com/kb/980663
echo KB2265716 - http://support.microsoft.com/kb/2265716
echo KB2465772 - http://support.microsoft.com/kb/2465772
echo KB917607 - http://support.microsoft.com/kb/917607
echo KB2383928 - http://support.microsoft.com/kb/2383928
echo KB983460 - http://support.microsoft.com/default.aspx?scid=kb;en-US;983460
echo KB2388142 - http://support.microsoft.com/default.aspx?scid=kb;en-US;2388142
echo KB2444328 - http://support.microsoft.com/kb/2444328
echo KB2551503 - http://support.microsoft.com/kb/2551503
echo KB2578159 - http://support.microsoft.com/kb/2578159